function [output] = generate_Gaussian(inputArray,center_idx,sigma,plotFlag)

e = exp(1);
Length = length(inputArray);
Center = inputArray(center_idx);
height = 1;
gaussianDist = zeros(1,Length);

    for i = 1:Length
        
        gaussianExpNum = (i - center_idx)^2;
        gaussianExpDen = 2 * sigma^2;
        gaussianExp = -(gaussianExpNum / gaussianExpDen);
        gaussianDist(1,i) = height * e^gaussianExp;
        
    end
    
    output = inputArray .* gaussianDist;

    if plotFlag
        
        plot(output)
        
    end
    
end